(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     14903,        337]
NotebookOptionsPosition[     13851,        310]
NotebookOutlinePosition[     14285,        327]
CellTagsIndexPosition[     14242,        324]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8098570450932317`*^9, 3.8098570479725256`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"8759e49e-5fa5-422a-8821-68d3c7aa835b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"Range", "[", "5", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"R", "=", 
  RowBox[{"RelBin", "[", 
   RowBox[{"\"\<a+b>=6\>\"", ",", "A", ",", "A"}], "]"}]}]}], "Input",
 CellLabel->"In[28]:=",ExpressionUUID->"39007bd6-5abe-4156-8b40-11be4cad36ba"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "5"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8098574744054976`*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"ed7f9d73-8ab6-48af-8fef-de138b334a47"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"MR", "=", 
   RowBox[{"MatrizRelBin", "[", 
    RowBox[{"R", ",", "A", ",", "A"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"AdjacencyGraph", "[", 
  RowBox[{
   RowBox[{"MR", "[", 
    RowBox[{"[", "1", "]"}], "]"}], ",", 
   RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
   RowBox[{"DirectedEdges", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8098570084042735`*^9, 3.809857158768174*^9}, {
  3.80985719177547*^9, 3.8098571945452785`*^9}, {3.809857471491469*^9, 
  3.8098574775093107`*^9}, {3.8098577912388678`*^9, 3.8098578071790414`*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"92b9c097-cc36-44a9-8fd7-791f337d4986"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 3, 4, 5}, {
      SparseArray[
       Automatic, {5, 5}, 0, {
        1, {{0, 1, 3, 6, 10, 15}, {{5}, {4}, {5}, {3}, {4}, {5}, {2}, {3}, {
          4}, {5}, {1}, {2}, {3}, {4}, {5}}}, {1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
         1, 1, 1, 1, 1}}], Null}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[Medium], 
        ArrowBox[BezierCurveBox[{{2.105566423189634, 0.8351368231638844}, {
         1.5210885734937225`, 0.6424663850712455}, {0.9363457048139641, 
         0.8343310040819529}}], 0.0234623014164404], 
        ArrowBox[BezierCurveBox[{{0.30475450191073117`, 0.}, {
         0.01559109175543024, 0.3657991555512686}, {0., 0.83182642710578}}], 
         0.0234623014164404], 
        ArrowBox[BezierCurveBox[{{0.30475450191073117`, 0.}, {
         0.4833520896530718, 0.5210248313606675}, {0.9363457048139641, 
         0.8343310040819529}}], 0.0234623014164404], 
        ArrowBox[BezierCurveBox[{{0.29879016868257763`, 
         1.6639188820271178`}, {0.0966197446493097, 1.7218330817000096`}, {
         0.01014922291783682, 1.909598983457573}, {0.04873279247644305, 
         2.044356591877307}, {0.4206504663058656, 2.1025663604586216`}, {
         0.4985628350769016, 1.9860418237319037`}, {0.47359748989915884`, 
         1.780834814759256}, {0.29879016868257763`, 1.6639188820271178`}},
         SplineDegree->7], 0.0234623014164404], 
        ArrowBox[BezierCurveBox[{{0.29879016868257763`, 
         1.6639188820271178`}, {0.2862249893539872, 1.198739375977314}, {0., 
         0.83182642710578}}], 0.0234623014164404], 
        ArrowBox[BezierCurveBox[{{0.29879016868257763`, 
         1.6639188820271178`}, {0.7539859872516258, 1.3539650517867179`}, {
         0.9363457048139641, 0.8343310040819529}}], 0.0234623014164404], 
        ArrowBox[BezierCurveBox[{{0., 0.83182642710578}, {
         0.28916341015530167`, 0.46602727155450935`}, {0.30475450191073117`, 
         0.}}], 0.0234623014164404], 
        ArrowBox[BezierCurveBox[{{0., 0.83182642710578}, {0.0125651793285912, 
         1.297005933155585}, {0.29879016868257763`, 1.6639188820271178`}}], 
         0.0234623014164404], 
        ArrowBox[BezierCurveBox[{{0., 
         0.83182642710578}, {-0.09076643801588866, 
         0.6384609185055535}, {-0.288870955864216, 
         0.5841304848615312}, {-0.41497359797639644`, 
         0.6432192218665347}, {-0.41617923363279186`, 
         1.0177581629080814`}, {-0.29045961252032426`, 
         1.0776575122856555`}, {-0.09200942589628397, 1.024603582735156}, {0.,
          0.83182642710578}},
         SplineDegree->7], 0.0234623014164404], 
        ArrowBox[BezierCurveBox[{{0., 0.83182642710578}, {
         0.46776099789764275`, 0.9870521029151758}, {0.9363457048139641, 
         0.8343310040819529}}], 0.0234623014164404], 
        ArrowBox[BezierCurveBox[{{0.9363457048139641, 0.8343310040819529}, {
         1.5208235545098678`, 1.027001442174593}, {2.105566423189634, 
         0.8351368231638844}}], 0.0234623014164404], 
        ArrowBox[BezierCurveBox[{{0.9363457048139641, 0.8343310040819529}, {
         0.7577481170716247, 0.31330617272128714`}, {0.30475450191073117`, 
         0.}}], 0.0234623014164404], 
        ArrowBox[BezierCurveBox[{{0.9363457048139641, 0.8343310040819529}, {
         0.48114988624491806`, 1.144284834322355}, {0.29879016868257763`, 
         1.6639188820271178`}}], 0.0234623014164404], 
        ArrowBox[BezierCurveBox[{{0.9363457048139641, 0.8343310040819529}, {
         0.4685847069163227, 0.6791053282725561}, {0., 0.83182642710578}}], 
         0.0234623014164404], 
        ArrowBox[BezierCurveBox[{{0.9363457048139641, 0.8343310040819529}, {
         0.8481351226702593, 1.1383987758674254`}, {0.9263375975871868, 
         1.2593289472964193`}, {1.0142218442904753`, 1.3004305539802727`}, {
         1.2582214038271986`, 1.180321636758508}, {1.2792502712080742`, 
         1.0856074898359063`}, {1.23111198724086, 0.9498782038963186}, {
         0.9363457048139641, 0.8343310040819529}},
         SplineDegree->7], 0.0234623014164404]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{2.105566423189634, 0.8351368231638844}, 0.0234623014164404],
          InsetBox["1", 
          Offset[{2, 2}, {2.1290287246060746, 0.8585991245803248}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.30475450191073117, 0.}, 0.0234623014164404], 
         InsetBox["2", 
          Offset[{2, 2}, {0.32821680332717157, 0.0234623014164404}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.29879016868257763, 1.6639188820271178}, 
          0.0234623014164404], 
         InsetBox["3", 
          Offset[{2, 2}, {0.32225247009901803, 1.6873811834435581}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.83182642710578}, 0.0234623014164404], 
         InsetBox["4", 
          Offset[{2, 2}, {0.0234623014164404, 0.8552887285222204}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9363457048139641, 0.8343310040819529}, 
          0.0234623014164404], 
         InsetBox["5", 
          Offset[{2, 2}, {0.9598080062304044, 0.8577933054983933}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8098570895996103`*^9, 3.8098571461648426`*^9}, 
   3.8098571949343357`*^9, {3.809857798879594*^9, 3.809857832287316*^9}},
 CellLabel->"Out[35]=",ExpressionUUID->"323c5b81-2dc0-4720-bd65-da941982d93c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GrafoRelBin", "[", 
  RowBox[{"R", ",", "A"}], "]"}]], "Input",
 CellChangeTimes->{{3.8098583238937087`*^9, 3.8098583334468555`*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"558a8c07-7928-46e1-a5f6-9eaab8065e82"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 3, 4, 5}, {
      Null, SparseArray[
       Automatic, {5, 5}, 0, {
        1, {{0, 1, 3, 6, 8, 9}, {{5}, {4}, {5}, {3}, {4}, {5}, {4}, {5}, {
          5}}}, {1, 1, 1, 1, 1, 1, 1, 1, 1}}]}, {
      ImagePadding -> 10, 
       VertexLabels -> {3 -> 3, 5 -> 5, 4 -> 4, 2 -> 2, 1 -> 1}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        {Arrowheads[0.], 
         ArrowBox[{{2.105566423189634, 0.8351368231638844}, {
          0.9363457048139641, 0.8343310040819529}}, 0.0234623014164404]}, 
        {Arrowheads[0.], 
         ArrowBox[{{0.30475450191073117`, 0.}, {0., 0.83182642710578}}, 
          0.0234623014164404]}, 
        {Arrowheads[0.], 
         ArrowBox[{{0.30475450191073117`, 0.}, {0.9363457048139641, 
          0.8343310040819529}}, 0.0234623014164404]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{0.29879016868257763`, 
          1.6639188820271178`}, {0.0966197446493097, 1.7218330817000096`}, {
          0.01014922291783682, 1.909598983457573}, {0.04873279247644305, 
          2.044356591877307}, {0.4206504663058656, 2.1025663604586216`}, {
          0.4985628350769016, 1.9860418237319037`}, {0.47359748989915884`, 
          1.780834814759256}, {0.29879016868257763`, 1.6639188820271178`}},
          SplineDegree->7], 0.0234623014164404]}, 
        {Arrowheads[0.], 
         ArrowBox[{{0.29879016868257763`, 1.6639188820271178`}, {0., 
          0.83182642710578}}, 0.0234623014164404]}, 
        {Arrowheads[0.], 
         ArrowBox[{{0.29879016868257763`, 1.6639188820271178`}, {
          0.9363457048139641, 0.8343310040819529}}, 0.0234623014164404]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{0., 
          0.83182642710578}, {-0.09076643801588866, 
          0.6384609185055535}, {-0.288870955864216, 
          0.5841304848615312}, {-0.41497359797639644`, 
          0.6432192218665347}, {-0.41617923363279186`, 
          1.0177581629080814`}, {-0.29045961252032426`, 
          1.0776575122856555`}, {-0.09200942589628397, 1.024603582735156}, {
          0., 0.83182642710578}},
          SplineDegree->7], 0.0234623014164404]}, 
        {Arrowheads[0.], 
         ArrowBox[{{0., 0.83182642710578}, {0.9363457048139641, 
          0.8343310040819529}}, 0.0234623014164404]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{0.9363457048139641, 0.8343310040819529}, {
          0.8481351226702593, 1.1383987758674254`}, {0.9263375975871868, 
          1.2593289472964193`}, {1.0142218442904753`, 1.3004305539802727`}, {
          1.2582214038271986`, 1.180321636758508}, {1.2792502712080742`, 
          1.0856074898359063`}, {1.23111198724086, 0.9498782038963186}, {
          0.9363457048139641, 0.8343310040819529}},
          SplineDegree->7], 0.0234623014164404]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{2.105566423189634, 0.8351368231638844}, 0.0234623014164404],
          InsetBox["1", 
          Offset[{2, 2}, {2.1290287246060746, 0.8585991245803248}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.30475450191073117, 0.}, 0.0234623014164404], 
         InsetBox["2", 
          Offset[{2, 2}, {0.32821680332717157, 0.0234623014164404}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.29879016868257763, 1.6639188820271178}, 
          0.0234623014164404], 
         InsetBox["3", 
          Offset[{2, 2}, {0.32225247009901803, 1.6873811834435581}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.83182642710578}, 0.0234623014164404], 
         InsetBox["4", 
          Offset[{2, 2}, {0.0234623014164404, 0.8552887285222204}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9363457048139641, 0.8343310040819529}, 
          0.0234623014164404], 
         InsetBox["5", 
          Offset[{2, 2}, {0.9598080062304044, 0.8577933054983933}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8098583344135475`*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"6ae1aa37-a54f-4666-ac4c-44a2f4f0124d"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"44bab543-38ba-4ba8-89d2-6b7d19155265"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 202, 3, 63, "Input",ExpressionUUID->"8759e49e-5fa5-422a-8821-68d3c7aa835b"],
Cell[CellGroupData[{
Cell[785, 27, 311, 7, 173, "Input",ExpressionUUID->"39007bd6-5abe-4156-8b40-11be4cad36ba"],
Cell[1099, 36, 1061, 34, 188, "Output",ExpressionUUID->"ed7f9d73-8ab6-48af-8fef-de138b334a47"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2197, 75, 748, 15, 249, "Input",ExpressionUUID->"92b9c097-cc36-44a9-8fd7-791f337d4986"],
Cell[2948, 92, 6016, 110, 643, "Output",ExpressionUUID->"323c5b81-2dc0-4720-bd65-da941982d93c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9001, 207, 236, 4, 91, "Input",ExpressionUUID->"558a8c07-7928-46e1-a5f6-9eaab8065e82"],
Cell[9240, 213, 4595, 94, 643, "Output",ExpressionUUID->"6ae1aa37-a54f-4666-ac4c-44a2f4f0124d"]
}, Open  ]]
}
]
*)

